package com.xhpc.activity.service;


import com.xhpc.activity.domain.XhpcWorkOrderDomain;
import com.xhpc.common.core.domain.R;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface WorkOrderService {

    List<Map<String, Object>> getOrderPage(Map<String,Object> params);

    XhpcWorkOrderDomain selectOrderById(Long orderId);

    Boolean updateOrder(XhpcWorkOrderDomain domain);

    Boolean replyOrder(XhpcWorkOrderDomain domain);

    Boolean insertOrder(XhpcWorkOrderDomain domain);

    Boolean deleteOrder(Long orderId) throws Exception;

    Boolean addNewOrder(String type, String title, String content, String reason,String stationId,String deviceType,String serialNumber);

    R workOrderMessage(Integer type, String time);
}
